Ruby: Data Fields - Variables

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

### - f -

- f : BigStruct, cls_struct_64byte, cls_struct_6byte, cls_struct_7byte, cls_struct_align, enum_sum_memo, ffi_dblfl, FLOAT_SWAPPER, load_file_arg, struct_108byte, struct_116byte, struct_72byte, test_structure_6, test_structure_9
- f1 : test_structure_7, test_structure_8
- f2 : test_structure_7, test_structure_8
- f3 : test_structure_8
- f4 : test_structure_8
- f_block : rb_scan_args_t
- f_hash : rb_scan_args_t
- f_var : rb_scan_args_t
- farg : ttymode_callback_args
- fbuffer : JSON_ParserStruct
- fc : ct_data_s
- fd : accept_arg, bin, connect_arg, file, gz_state, inetsock_arg, io_internal_read_struct, io_internal_write_struct, log, malloc_chunk, malloc_tree_chunk, no_gvl_stat_data, pty_info, push_glob0_args, push_glob_args, rb_io_t, recvfrom_arg, rsock_send_arg, select_args, wait_for_single_fd, waiting_fd
- fd_close : rb_execarg
- fd_dup2 : rb_execarg
- fd_dup2_child : rb_execarg
- fd_open : rb_execarg
- fdset : rb_fdset_t
- fdsets : select_args
- feature : autoload_data_i, builtin_binary
- features : ruby_cmdline_options
- feedvalue : enumerator
- ff : BigStruct, cls_struct_16byte2
- fffi_arg : fiddle_generic
- fffi_sarg : fiddle_generic
- ffloat : fiddle_generic
- fib : enumerator
- fiber : rb_mutex_struct, rb_waiting_list, sync_waiter
- fiber_machine_stack_size : rb_vm_struct
- fiber_ptr : rb_execution_context_struct
- fiber_vm_stack_size : rb_vm_struct
- fii : w32_io_info_t
- file : autoload_const, no_gvl_stat_data, rb_const_entry_struct, RVALUE
- file_id_p : w32_io_info_t
- FileId : FILE_ID_INFO
- filename : argf, oldbt_arg, ruby_dtrace_method_hook_args
- filestream : file_in_zip64_read_info_s, unz64_s, zip64_internal
- filled_in_this_block : linkedlist_datablock_internal_s
- filter : rb_event_hook_struct
- fin : cparse_params
- final : weakmap
- final_func : rb_obj_traverse_final_data
- final_slots : heap_page, rb_objspace
- finalize : rb_io_t
- finalizer_table : rb_objspace
- finalizing : rb_objspace
- finish_func : rb_digest_metadata_t, rb_transcoder
- first : log, state
- first_block : linkedlist_data_s
- first_column : YYLTYPE
- first_line : YYLTYPE
- first_lineno : rb_binding_t, rb_iseq_location_struct
- first_post_arg : rb_args_info
- first_proc : rb_fiber_struct
- fixed_anchor_p : strscanner
- flag : autoload_const, curfile64_info, rb_callinfo, rb_const_entry_struct, Real, StrNode, unz_file_info64_s, unz_file_info_s
- flags : _NtCmdLineElement, allocation_info, brace_args, CClassNode, ComplexDateData, DateData, dirent_brace_args, gc_profile_record, getnameinfo_arg, heap_page, inflate_state, iseq_inline_constant_cache_entry, MEMO, OnigEncodingTypeST, push_glob0_args, push_glob_args, rb_ast_struct, rb_callable_method_entry_struct, rb_callcache, rb_callinfo, rb_cref_struct, rb_data_type_struct, rb_econv_t, rb_env_t, rb_imemo_tmpbuf_struct, rb_iseq_constant_body, rb_iseq_new_with_callback_callback_func, rb_iseq_struct, rb_method_entry_struct, rb_objspace, rb_strterm_struct, rb_transcoding
- Flags : rb_w32_reparse_buffer_t
- flags : RBasic, recvfrom_arg, RIMemo, RMoved, RNode, rsock_send_arg, RVALUE, SimpleDateData, StringIO, strscanner, vm_ifunc, vm_svar, vm_throw_data, zstream
- flip_count : rb_iseq_constant_body
- float_value : bytesequence4_or_float, enum_sum_memo, RFloat
- flonum : RVALUE
- flush : zstream_run_args
- fmt : gc_raise_tag
- fn : apply_arg, nogvl_ffi_call_args, proc_entry, thread_create_params
- fname : attr_item, load_file_arg, open_struct, sysopen_struct, w32_io_info_args
- follow : utime_args
- footprint : malloc_state
- fordblks : mallinfo
- fork_gen : autoload_data_i, rb_condvar, rb_vm_struct
- format : rb_memory_view_item_component_t, rb_memory_view_t
- fp_regs : ia64_args
- fpinfo : RNode
- fptr : binwrite_arg, bufread_arg, finish_writeconv_arg, io_encoding_set_args, RFile, udp_arg, udp_send_arg
- frac : Real
- free : ptr_data, rb_ractor_local_storage_type, RVALUE
- free_next : heap_page
- free_pages : rb_heap_struct
- free_slots : heap_page
- free_stacks : fiber_pool
- freeable_pages : rb_objspace
- freed : ptr_data
- freelist : heap_page, ractor_newobj_cache
- freeobj_trace : traceobj_arg
- freeze : JSON_ParserStruct
- freq : ct_data_s
- from : coroutine_context, OnigPairCaseFoldCodes
- frozen : ibf_object_header
- frozen_string_literal : rb_compile_option_struct
- frozen_strings : rb_vm_struct
- fsmblks : mallinfo
- fstr : fstr_update_arg, RSymbol
- full_heap : dump_config
- func : accessor_args, apply_arg, asynchronous_arg_t, config_s, end_proc_data, exec_recursive_params, foreach_safe_arg, functor, glob_args, hash_foreach_arg, INamesArg, magic_comment, MEMO, oldbt_arg, OnigEndCallListItem, rb_at_exit_list, rb_event_hook_struct, rb_iseq_new_with_callback_callback_func, rb_method_cfunc_struct, rb_postponed_job_struct, rb_strterm_heredoc_struct, rb_strterm_literal_struct, rb_thread_struct, rb_tp_struct, rb_unblock_callback, root_objects_data, trace_var, ttymode_callback_args, update_func_arg, vm_ifunc, zstream
- func_ii : rb_transcoder
- func_io : rb_transcoder
- func_ptr : rb_builtin_function
- func_si : rb_transcoder
- func_sio : rb_transcoder
- func_so : rb_transcoder
- funcs : brace_args, push_glob0_args, push_glob_args, tmx
- function : rb_data_type_struct